diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/external.txi
--- a/doc/interpreter/external.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/external.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -144,7 +144,8 @@
 providing the @code{mkoctfile} command with which to build oct-files.  The
 command is available from within Octave or at the shell command line.
 
-@DOCSTRING(mkoctfile)
+@ref{XREFmkoctfile, , @code{mkoctfile}}: The 'mkoctfile' function compiles source code written in C, C++, or
+Fortran.
 
 Consider the following short example which introduces the basics of writing a
 C++ function that can be linked to Octave.
@@ -1272,9 +1273,9 @@
 the use of the command @code{mex} is limited to within Octave.  Compiled
 mex-files have the extension @file{.mex}.
 
-@DOCSTRING(mex)
-
-@DOCSTRING(mexext)
+@ref{XREFmex, , @code{mex}}: Compile source code written in C, C++, or Fortran, to a MEX file.
+
+@ref{XREFmexext, , @code{mexext}}: Return the filename extension used for MEX files.
 
 Consider the following short example:
 
@@ -2186,16 +2187,17 @@
 
 @cindex object, creating a Java object
 @cindex instance, creating a Java instance
-@DOCSTRING(javaObject)
+@ref{XREFjavaObject, , @code{javaObject}}: Create a Java object of class CLASSSNAME, by calling the class
+constructor wi...
 
 @cindex array, creating a Java array
-@DOCSTRING(javaArray)
+@ref{XREFjavaArray, , @code{javaArray}}: Create a Java array of size SZ with elements of class CLASSNAME.
 
 There are many different variable types in Octave, but only ones created
 through @code{javaObject} can use Java functions.  Before using Java with an
 unknown object the type can be checked with @code{isjava}.
 
-@DOCSTRING(isjava)
+@ref{XREFisjava, , @code{isjava}}: Return true if X is a Java object.
 
 Once an object has been created it is natural to find out what fields the
 object has, and to read (get) and write (set) them.
@@ -2241,10 +2243,10 @@
 @end group
 @end example
 
-@DOCSTRING(java_get)
+@ref{XREFjava_get, , @code{java_get}}: Get the value of the field NAME of the Java object OBJ.
 
 @cindex field, setting value of Java object field
-@DOCSTRING(java_set)
+@ref{XREFjava_set, , @code{java_set}}: Set the value of the field NAME of the Java object OBJ to VAL.
 
 @cindex methods, displaying available methods of a Java object
 To see what functions can be called with an object use @code{methods}.  For
@@ -2278,7 +2280,8 @@
 @end example
 
 @cindex method, invoking a method of a Java object
-@DOCSTRING(javaMethod)
+@ref{XREFjavaMethod, , @code{javaMethod}}: Invoke the method METHODNAME on the Java object OBJ with the arguments
+ARG1, ...
 
 The following three functions are used to display and modify the class path
 used by the Java Virtual Machine.  This is entirely separate from Octave's
@@ -2289,31 +2292,37 @@
 @cindex dynamic classpath
 @cindex classpath, static
 @cindex static classpath
-@DOCSTRING(javaclasspath)
+@ref{XREFjavaclasspath, , @code{javaclasspath}}: Return the class path of the Java virtual machine in the form of a cell
+array...
 
 @findex javaaddpath
 @cindex classpath, adding new path
 @cindex path, adding to classpath
 @cindex classpath, dynamic
 @cindex dynamic classpath, adding new path
-@DOCSTRING(javaaddpath)
+@ref{XREFjavaaddpath, , @code{javaaddpath}}: Add CLSPATH to the beginning of the dynamic class path of the Java
+virtual ma...
 
 @cindex classpath, removing path
 @cindex path, removing from classpath
-@DOCSTRING(javarmpath)
+@ref{XREFjavarmpath, , @code{javarmpath}}: Remove CLSPATH from the dynamic class path of the Java virtual machine.
 
 The following functions provide information and control over the interface
 between Octave and the Java Virtual Machine.
 
-@DOCSTRING(javachk)
-
-@DOCSTRING(usejava)
+@ref{XREFjavachk, , @code{javachk}}: Check for the presence of the Java FEATURE in the current session.
+
+@ref{XREFusejava, , @code{usejava}}: Return true if the Java element FEATURE is available.
 
 @cindex memory, displaying Java memory status
-@DOCSTRING(javamem)
-
-@DOCSTRING(java_matrix_autoconversion)
-
-@DOCSTRING(java_unsigned_autoconversion)
-
-@DOCSTRING(debug_java)
+@ref{XREFjavamem, , @code{javamem}}: Show the current memory usage of the Java virtual machine (JVM) and run
+the g...
+
+@ref{XREFjava_matrix_autoconversion, , @code{java_matrix_autoconversion}}: Query or set the internal variable that controls whether Java arrays are
+auto...
+
+@ref{XREFjava_unsigned_autoconversion, , @code{java_unsigned_autoconversion}}: Query or set the internal variable that controls how integer classes are
+conv...
+
+@ref{XREFdebug_java, , @code{debug_java}}: Query or set the internal variable that determines whether extra
+debugging in...
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/func.txi
--- a/doc/interpreter/func.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/func.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -271,11 +271,12 @@
 To avoid such problems and to provide useful messages, we check for both
 possibilities and issue our own error message.
 
-@DOCSTRING(nargin)
+@ref{XREFnargin, , @code{nargin}}: Report the number of input arguments to a function.
 
-@DOCSTRING(inputname)
+@ref{XREFinputname, , @code{inputname}}: Return the name of the N-th argument to the calling function.
 
-@DOCSTRING(silent_functions)
+@ref{XREFsilent_functions, , @code{silent_functions}}: Query or set the internal variable that controls whether internal output
+from...
 
 @node Returning from a Function
 @section Returning from a Function
@@ -376,7 +377,8 @@
 of the return values or several at once in a cell array.
 @xref{Cell Array Objects}.
 
-@DOCSTRING(nthargout)
+@ref{XREFnthargout, , @code{nthargout}}: Return the Nth output argument of the function specified by the function
+hand...
 
 In addition to setting @code{nargin} each time a function is called,
 Octave also automatically initializes @code{nargout} to the number of
@@ -425,7 +427,7 @@
 @noindent
 along with a warning.
 
-@DOCSTRING(nargout)
+@ref{XREFnargout, , @code{nargout}}: Report the number of output arguments from a function.
 
 @node Variable-length Return Lists
 @section Variable-length Return Lists
@@ -470,7 +472,7 @@
 element of the input (output) parameter list, then it is not special,
 and is handled the same as any other parameter name.
 
-@DOCSTRING(deal)
+@ref{XREFdeal, , @code{deal}}: Copy the input parameters into the corresponding output parameters.
 
 @node Variable-length Argument Lists
 @section Variable-length Argument Lists
@@ -566,7 +568,8 @@
 @end group
 @end example
 
-@DOCSTRING(parseparams)
+@ref{XREFparseparams, , @code{parseparams}}: Return in REG the cell elements of PARAM up to the first string element
+and i...
 
 @node Ignoring Arguments
 @section Ignoring Arguments
@@ -643,7 +646,8 @@
 @end group
 @end example
 
-@DOCSTRING(isargout)
+@ref{XREFisargout, , @code{isargout}}: Within a function, return a logical value indicating whether the
+argument K w...
 
 @node Default Arguments
 @section Default Arguments
@@ -747,9 +751,9 @@
 Similar error checking is provided by @code{narginchk} and
 @code{nargoutchk}.
 
-@DOCSTRING(narginchk)
+@ref{XREFnarginchk, , @code{narginchk}}: Check for correct number of input arguments.
 
-@DOCSTRING(nargoutchk)
+@ref{XREFnargoutchk, , @code{nargoutchk}}: Check for correct number of output arguments.
 
 @node Validating the type of Arguments
 @subsection Validating the type of Arguments
@@ -758,48 +762,49 @@
 properties.  @code{validatestring} is used for string arguments and
 @code{validateattributes} for numeric arguments.
 
-@DOCSTRING(validatestring)
+@ref{XREFvalidatestring, , @code{validatestring}}: Verify that STR is an element, or substring of an element, in STRARRAY.
 
-@DOCSTRING(validateattributes)
+@ref{XREFvalidateattributes, , @code{validateattributes}}: Check validity of input argument.
 
 As alternatives to @code{validateattributes} there are several shorter
 convenience functions to check for individual properties.
 
-@DOCSTRING(mustBeFinite)
-
-@DOCSTRING(mustBeGreaterThan)
+@ref{XREFmustBeFinite, , @code{mustBeFinite}}: Require that input X is finite.
 
-@DOCSTRING(mustBeGreaterThanOrEqual)
+@ref{XREFmustBeGreaterThan, , @code{mustBeGreaterThan}}: Require that input X is greater than C.
 
-@DOCSTRING(mustBeInteger)
+@ref{XREFmustBeGreaterThanOrEqual, , @code{mustBeGreaterThanOrEqual}}: Require that input X is greater than or equal to C.
 
-@DOCSTRING(mustBeLessThan)
+@ref{XREFmustBeInteger, , @code{mustBeInteger}}: Require that input X is integer-valued (but not necessarily
+integer-typed).
 
-@DOCSTRING(mustBeLessThanOrEqual)
+@ref{XREFmustBeLessThan, , @code{mustBeLessThan}}: Require that input X is less than C.
 
-@DOCSTRING(mustBeMember)
+@ref{XREFmustBeLessThanOrEqual, , @code{mustBeLessThanOrEqual}}: Require that input is less than or equal to a given value.
 
-@DOCSTRING(mustBeNegative)
+@ref{XREFmustBeMember, , @code{mustBeMember}}: Require that input X is a member of a set of given valid values.
 
-@DOCSTRING(mustBeNonempty)
+@ref{XREFmustBeNegative, , @code{mustBeNegative}}: Require that input X is negative.
 
-@DOCSTRING(mustBeNonNan)
+@ref{XREFmustBeNonempty, , @code{mustBeNonempty}}: Require that input X is nonempty.
 
-@DOCSTRING(mustBeNonnegative)
+@ref{XREFmustBeNonNan, , @code{mustBeNonNan}}: Require that input X is non-'NaN'.
 
-@DOCSTRING(mustBeNonpositive)
+@ref{XREFmustBeNonnegative, , @code{mustBeNonnegative}}: Require that input X is not negative.
 
-@DOCSTRING(mustBeNonsparse)
+@ref{XREFmustBeNonpositive, , @code{mustBeNonpositive}}: Require that input X is not positive.
+
+@ref{XREFmustBeNonsparse, , @code{mustBeNonsparse}}: Require that input X is not sparse.
 
-@DOCSTRING(mustBeNonzero)
+@ref{XREFmustBeNonzero, , @code{mustBeNonzero}}: Require that input X is not zero.
 
-@DOCSTRING(mustBeNumeric)
+@ref{XREFmustBeNumeric, , @code{mustBeNumeric}}: Require that input X is numeric.
 
-@DOCSTRING(mustBeNumericOrLogical)
+@ref{XREFmustBeNumericOrLogical, , @code{mustBeNumericOrLogical}}: Require that input X is numeric or logical.
 
-@DOCSTRING(mustBePositive)
+@ref{XREFmustBePositive, , @code{mustBePositive}}: Require that input X is positive.
 
-@DOCSTRING(mustBeReal)
+@ref{XREFmustBeReal, , @code{mustBeReal}}: Require that input X is real.
 
 @node Parsing Arguments
 @subsection Parsing Arguments
@@ -808,7 +813,7 @@
 the class @code{inputParser} which can perform extremely complex input
 checking for functions.
 
-@DOCSTRING(inputParser)
+@ref{XREFinputParser, , @code{inputParser}}: Create object P of the inputParser class.
 
 @node Function Files
 @section Function Files
@@ -863,11 +868,12 @@
 
 @c FIXME: note about time stamps on files in NFS environments?
 
-@DOCSTRING(edit)
+@ref{XREFedit, , @code{edit}}: Edit the named function, or change editor settings.
 
-@DOCSTRING(mfilename)
+@ref{XREFmfilename, , @code{mfilename}}: Return the name of the currently executing file.
 
-@DOCSTRING(ignore_function_time_stamp)
+@ref{XREFignore_function_time_stamp, , @code{ignore_function_time_stamp}}: Query or set the internal variable that controls whether Octave checks
+the ti...
 
 @menu
 * Manipulating the Load Path::
@@ -900,31 +906,34 @@
 @noindent
 After this the directory @samp{~/Octave} will be searched for functions.
 
-@DOCSTRING(addpath)
+@ref{XREFaddpath, , @code{addpath}}: Add named directories to the function search path.
 
-@DOCSTRING(genpath)
+@ref{XREFgenpath, , @code{genpath}}: Return a path constructed from DIR and all its subdirectories.
 
-@DOCSTRING(rmpath)
+@ref{XREFrmpath, , @code{rmpath}}: Remove DIR1, ... from the current function search path.
 
-@DOCSTRING(savepath)
+@ref{XREFsavepath, , @code{savepath}}: Save the unique portion of the current function search path that is not
+set d...
 
-@DOCSTRING(path)
+@ref{XREFpath, , @code{path}}: Modify or display Octave's load path.
 
-@DOCSTRING(pathdef)
+@ref{XREFpathdef, , @code{pathdef}}: Return the default path for Octave.
 
-@DOCSTRING(pathsep)
+@ref{XREFpathsep, , @code{pathsep}}: Query the character used to separate directories in a path.
 
-@DOCSTRING(rehash)
+@ref{XREFrehash, , @code{rehash}}: Reinitialize Octave's load path directory cache.
 
-@DOCSTRING(file_in_loadpath)
+@ref{XREFfile_in_loadpath, , @code{file_in_loadpath}}: Return the absolute name of FILE if it can be found in the list of
+directorie...
 
-@DOCSTRING(restoredefaultpath)
+@ref{XREFrestoredefaultpath, , @code{restoredefaultpath}}: Restore Octave's path to its initial state at startup.
 
-@DOCSTRING(command_line_path)
+@ref{XREFcommand_line_path, , @code{command_line_path}}: Return the command line path variable.
 
-@DOCSTRING(dir_in_loadpath)
+@ref{XREFdir_in_loadpath, , @code{dir_in_loadpath}}: Return the absolute name of the loadpath element matching DIR if it can
+be fo...
 
-@DOCSTRING(dir_encoding)
+@ref{XREFdir_encoding, , @code{dir_encoding}}: Set and query the ENCODING that is used for reading m-files in DIR.
 
 @node Subfunctions
 @subsection Subfunctions
@@ -956,7 +965,8 @@
 function @code{f} or from the other subfunctions, but not from outside
 the file @file{f.m}.
 
-@DOCSTRING(localfunctions)
+@ref{XREFlocalfunctions, , @code{localfunctions}}: Return a list of all local functions, i.e., subfunctions, within the
+current ...
 
 @node Private Functions
 @subsection Private Functions
@@ -1148,7 +1158,8 @@
 user overloading and call the default function associated with a specific
 type.  The @code{builtin} function exists for this purpose.
 
-@DOCSTRING(builtin)
+@ref{XREFbuiltin, , @code{builtin}}: Call the base function F even if F is overloaded to another function for
+the ...
 
 A single dynamically linked file might define several
 functions.  However, as Octave searches for functions based on the
@@ -1164,7 +1175,7 @@
 @code{autoload} function, that permits the user to define in which
 file a certain function will be found.
 
-@DOCSTRING(autoload)
+@ref{XREFautoload, , @code{autoload}}: Define FUNCTION to autoload from FILE.
 
 @node Function Locking
 @subsection Function Locking
@@ -1226,11 +1237,13 @@
 external editor, from having any effect in the current Octave session; A
 similar effect can be had with the @code{ignore_function_time_stamp} function.
 
-@DOCSTRING(mlock)
+@ref{XREFmlock, , @code{mlock}}: Lock the current function into memory so that it can't be removed with
+'clear'.
 
-@DOCSTRING(munlock)
+@ref{XREFmunlock, , @code{munlock}}: Unlock the named function FCN so that it may be removed from memory with
+'cle...
 
-@DOCSTRING(mislocked)
+@ref{XREFmislocked, , @code{mislocked}}: Return true if the named function FCN is locked in memory.
 
 @node Function Precedence
 @subsection Function Precedence
@@ -1374,7 +1387,7 @@
 the name @file{@var{file}.m}, you can use the function @code{source} to
 execute commands from any file.
 
-@DOCSTRING(source)
+@ref{XREFsource, , @code{source}}: Parse and execute the contents of FILE.
 
 @menu
 * Publish Octave Script Files::
@@ -1391,11 +1404,12 @@
 documentation can make use of @ref{Publishing Markup} to enhance and
 customize the output.
 
-@DOCSTRING(publish)
+@ref{XREFpublish, , @code{publish}}: Generate a report from the Octave script file FILE in one of several
+output f...
 
 The counterpart to @code{publish} is @code{grabcode}:
 
-@DOCSTRING(grabcode)
+@ref{XREFgrabcode, , @code{grabcode}}: Grab the code from a report created by the 'publish' function.
 
 @node Publishing Markup
 @subsection Publishing Markup
@@ -1798,15 +1812,17 @@
 @end group
 @end example
 
-@DOCSTRING(is_function_handle)
+@ref{XREFis_function_handle, , @code{is_function_handle}}: Return true if X is a function handle.
 
-@DOCSTRING(functions)
+@ref{XREFfunctions, , @code{functions}}: Return a structure containing information about the function handle
+FCN_HANDLE.
 
-@DOCSTRING(func2str)
+@ref{XREFfunc2str, , @code{func2str}}: Return a string containing the name of the function referenced by the
+functio...
 
-@DOCSTRING(str2func)
+@ref{XREFstr2func, , @code{str2func}}: Return a function handle constructed from the string FCN_NAME.
 
-@DOCSTRING(symvar)
+@ref{XREFsymvar, , @code{symvar}}: Identify the symbolic variable names in the string STR.
 
 @node Anonymous Functions
 @subsection Anonymous Functions
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/geometry.txi
--- a/doc/interpreter/geometry.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/geometry.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -49,14 +49,14 @@
 case of a regular grid, 4 or more points can be on a single
 circum-circle.  In this case the Delaunay triangulation is not unique.
 
-@DOCSTRING(delaunay)
+@ref{XREFdelaunay, , @code{delaunay}}: Compute the Delaunay triangulation for a 2-D or 3-D set of points.
 
 For 3-D inputs @code{delaunay} returns a set of tetrahedra that satisfy the
 Delaunay circum-circle criteria.  Similarly, @code{delaunayn} returns the
 N-dimensional simplex satisfying the Delaunay circum-circle criteria.
 The N-dimensional extension of a triangulation is called a tessellation.
 
-@DOCSTRING(delaunayn)
+@ref{XREFdelaunayn, , @code{delaunayn}}: Compute the Delaunay triangulation for an N-dimensional set of points.
 
 An example of a Delaunay triangulation of a set of points is
 
@@ -95,13 +95,13 @@
 to plot the Delaunay triangulation of a 2-dimensional set of points.
 @code{tetramesh} will plot the triangulation of a 3-dimensional set of points.
 
-@DOCSTRING(triplot)
+@ref{XREFtriplot, , @code{triplot}}: Plot a 2-D triangular mesh.
 
-@DOCSTRING(trimesh)
+@ref{XREFtrimesh, , @code{trimesh}}: Plot a 3-D triangular wireframe mesh.
 
-@DOCSTRING(trisurf)
+@ref{XREFtrisurf, , @code{trisurf}}: Plot a 3-D triangular surface.
 
-@DOCSTRING(tetramesh)
+@ref{XREFtetramesh, , @code{tetramesh}}: Display the tetrahedrons defined in the m-by-4 matrix T as 3-D patches.
 
 The difference between @code{triplot}, and @code{trimesh} or @code{trisurf},
 is that the former only plots the 2-dimensional triangulation itself, whereas
@@ -201,9 +201,9 @@
 @code{tsearchn}.  @code{tsearch} is optimized for 2-dimensions and the
 Barycentric coordinates are not explicitly formed.
 
-@DOCSTRING(tsearch)
+@ref{XREFtsearch, , @code{tsearch}}: Search for the enclosing Delaunay convex hull.
 
-@DOCSTRING(tsearchn)
+@ref{XREFtsearchn, , @code{tsearchn}}: Search for the enclosing Delaunay convex hull.
 
 An example of the use of @code{tsearch} can be seen with the simple
 triangulation
@@ -245,9 +245,10 @@
 point of the tessellation does not have to be one of the vertices of the
 N-simplex within which the desired point is found.
 
-@DOCSTRING(dsearch)
+@ref{XREFdsearch, , @code{dsearch}}: Return the index IDX of the closest point in 'X, Y' to the elements
+'[XI(:), ...
 
-@DOCSTRING(dsearchn)
+@ref{XREFdsearchn, , @code{dsearchn}}: Return the index IDX of the closest point in X to the elements XI.
 
 An example of the use of @code{dsearch}, using the above values of
 @var{x}, @var{y} and @var{tri} is
@@ -286,9 +287,9 @@
 Voronoi tessellation are the centers of the circum-circles of the
 simplices of the Delaunay tessellation.
 
-@DOCSTRING(voronoi)
+@ref{XREFvoronoi, , @code{voronoi}}: Plot the Voronoi diagram of points '(X, Y)'.
 
-@DOCSTRING(voronoin)
+@ref{XREFvoronoin, , @code{voronoin}}: Compute N-dimensional Voronoi facets.
 
 An example of the use of @code{voronoi} is
 
@@ -323,7 +324,7 @@
 diagram, and which points of a set of points is in a polygon can be had
 with the @code{polyarea} and @code{inpolygon} functions respectively.
 
-@DOCSTRING(polyarea)
+@ref{XREFpolyarea, , @code{polyarea}}: Determine area of a polygon by triangle method.
 
 An example of the use of @code{polyarea} might be
 
@@ -344,9 +345,10 @@
 area.  A simplified version of @code{polyarea} for rectangles is
 available with @code{rectint}
 
-@DOCSTRING(rectint)
+@ref{XREFrectint, , @code{rectint}}: Compute area or volume of intersection of rectangles or N-D boxes.
 
-@DOCSTRING(inpolygon)
+@ref{XREFinpolygon, , @code{inpolygon}}: For a polygon defined by vertex points '(XV, YV)', return true if the
+points ...
 
 An example of the use of @code{inpolygon} might be
 
@@ -382,9 +384,9 @@
 and @code{convhulln} to calculate the convex hull of 2-dimensional and
 N-dimensional sets of points.
 
-@DOCSTRING(convhull)
+@ref{XREFconvhull, , @code{convhull}}: Compute the convex hull of a 2-D or 3-D set of points.
 
-@DOCSTRING(convhulln)
+@ref{XREFconvhulln, , @code{convhulln}}: Compute the convex hull of the set of points PTS.
 
 An example of the use of @code{convhull} is
 
@@ -419,11 +421,11 @@
 are used to interpolate to the desired points.  The functions that perform this
 interpolation are @code{griddata}, @code{griddata3} and @code{griddatan}.
 
-@DOCSTRING(griddata)
+@ref{XREFgriddata, , @code{griddata}}: Interpolate irregular 2-D and 3-D source data at specified points.
 
-@DOCSTRING(griddata3)
+@ref{XREFgriddata3, , @code{griddata3}}: Interpolate irregular 3-D source data at specified points.
 
-@DOCSTRING(griddatan)
+@ref{XREFgriddatan, , @code{griddatan}}: Interpolate irregular source data X, Y at points specified by XI.
 
 An example of the use of the @code{griddata} function is
 
@@ -470,8 +472,11 @@
 @end example
 @end ifnottex
 
-@DOCSTRING(rotx)
+@ref{XREFrotx, , @code{rotx}}: 'rotx' returns the 3x3 transformation matrix corresponding to an active
+rotat...
 
-@DOCSTRING(roty)
+@ref{XREFroty, , @code{roty}}: 'roty' returns the 3x3 transformation matrix corresponding to an active
+rotat...
 
-@DOCSTRING(rotz)
+@ref{XREFrotz, , @code{rotz}}: 'rotz' returns the 3x3 transformation matrix corresponding to an active
+rotat...
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/grammar.txi
--- a/doc/interpreter/grammar.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/grammar.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -56,7 +56,7 @@
 The function @code{iskeyword} can be used to quickly check whether an
 identifier is reserved by Octave.
 
-@DOCSTRING(iskeyword)
+@ref{XREFiskeyword, , @code{iskeyword}}: Return true if NAME is an Octave keyword.
 
 @node Parser
 @section Parser
@@ -71,13 +71,16 @@
 periodic evaluation.  @code{remove_input_event_hook} will stop a user function
 from being evaluated periodically.
 
-@DOCSTRING(add_input_event_hook)
+@ref{XREFadd_input_event_hook, , @code{add_input_event_hook}}: Add the named function or function handle FCN to the list of functions
+to cal...
 
-@DOCSTRING(remove_input_event_hook)
+@ref{XREFremove_input_event_hook, , @code{remove_input_event_hook}}: Remove the named function or function handle with the given identifier
+from t...
 
 Finally, when the parser cannot identify an input token it calls a particular
 function to handle this.  By default, this is the internal function
 @qcode{"__unimplemented__"} which makes suggestions about possible Octave
 substitutes for @sc{matlab} functions.
 
-@DOCSTRING(missing_function_hook)
+@ref{XREFmissing_function_hook, , @code{missing_function_hook}}: Query or set the internal variable that specifies the function to call
+to pro...
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/gui.txi
--- a/doc/interpreter/gui.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/gui.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -55,51 +55,56 @@
 a filename.
 
 @cindex dialog, displaying a dialog for selecting directories
-@DOCSTRING(uigetdir)
+@ref{XREFuigetdir, , @code{uigetdir}}: Open a GUI dialog for selecting a directory.
 
 @cindex dialog, displaying a dialog for selecting files
-@DOCSTRING(uigetfile)
+@ref{XREFuigetfile, , @code{uigetfile}}: Open a GUI dialog for selecting a file and return the filename FNAME,
+the pat...
 
 @cindex dialog, displaying a dialog for storing files
-@DOCSTRING(uiputfile)
+@ref{XREFuiputfile, , @code{uiputfile}}: Open a GUI dialog for selecting a file.
 
 Additionally, there are dialog boxes for displaying help messages, warnings, or
 errors, and for getting text input from the user.
 
 @cindex dialog, displaying an error dialog
-@DOCSTRING(errordlg)
+@ref{XREFerrordlg, , @code{errordlg}}: Display an error dialog box with error message MSG and caption TITLE.
 
 @cindex dialog, displaying a help dialog
-@DOCSTRING(helpdlg)
+@ref{XREFhelpdlg, , @code{helpdlg}}: Display a help dialog box with help message MSG and caption TITLE.
 
 @cindex dialog, displaying an input dialog
-@DOCSTRING(inputdlg)
+@ref{XREFinputdlg, , @code{inputdlg}}: Return user input from a multi-textfield dialog box in a cell array of
+string...
 
 @cindex dialog, displaying a list dialog
-@DOCSTRING(listdlg)
+@ref{XREFlistdlg, , @code{listdlg}}: Return user inputs from a list dialog box in a vector of selection
+indices (S...
 
 @cindex dialog, displaying a message dialog
-@DOCSTRING(msgbox)
+@ref{XREFmsgbox, , @code{msgbox}}: Display MSG using a message dialog box.
 
 @cindex dialog, displaying a question dialog
-@DOCSTRING(questdlg)
+@ref{XREFquestdlg, , @code{questdlg}}: Display MSG using a question dialog box and return the caption of the
+activat...
 
 @cindex dialog, displaying a warning dialog
-@DOCSTRING(warndlg)
+@ref{XREFwarndlg, , @code{warndlg}}: Display a warning dialog box with warning message MSG and caption TITLE.
 
 @cindex dialog, displaying a font selection dialog
-@DOCSTRING(uisetfont)
+@ref{XREFuisetfont, , @code{uisetfont}}: Open a font selection dialog.
 
 For creating new dialog types, there is a dialog function.
 
 @cindex dialog, displaying a modal dialog
-@DOCSTRING(dialog)
+@ref{XREFdialog, , @code{dialog}}: Create an empty modal dialog window to which other uicontrols can be
+added.
 
 @node Progress Bar
 @section Progress Bar
 @cindex Progress Bar
 
-@DOCSTRING(waitbar)
+@ref{XREFwaitbar, , @code{waitbar}}: Return a handle H to a new progress indicator ("waitbar") object.
 
 @node UI Elements
 @section UI Elements
@@ -108,23 +113,23 @@
 toolkit, although some functionality is available with the @code{fltk} toolkit.
 There is no support for the @code{gnuplot} toolkit.
 
-@DOCSTRING(uipanel)
+@ref{XREFuipanel, , @code{uipanel}}: Create a uipanel object.
 
-@DOCSTRING(uibuttongroup)
+@ref{XREFuibuttongroup, , @code{uibuttongroup}}: Create a uibuttongroup object and return a handle to it.
 
-@DOCSTRING(uicontrol)
+@ref{XREFuicontrol, , @code{uicontrol}}: Create a uicontrol object and return a handle to it.
 
-@DOCSTRING(uitable)
+@ref{XREFuitable, , @code{uitable}}: Create a uitable object and return a handle to it.
 
-@DOCSTRING(uimenu)
+@ref{XREFuimenu, , @code{uimenu}}: Create a uimenu object and return a handle to it.
 
-@DOCSTRING(uicontextmenu)
+@ref{XREFuicontextmenu, , @code{uicontextmenu}}: Create a uicontextmenu object and return a handle to it.
 
-@DOCSTRING(uitoolbar)
+@ref{XREFuitoolbar, , @code{uitoolbar}}: Create a uitoolbar object.
 
-@DOCSTRING(uipushtool)
+@ref{XREFuipushtool, , @code{uipushtool}}: Create a uipushtool object.
 
-@DOCSTRING(uitoggletool)
+@ref{XREFuitoggletool, , @code{uitoggletool}}: Create a uitoggletool object.
 
 @node GUI Utility Functions
 @section GUI Utility Functions
@@ -133,44 +138,53 @@
 programs that do.  The functions @code{uiwait}, @code{uiresume}, and
 @code{waitfor} are only available with the @code{qt} or @code{fltk} toolkits.
 
-@DOCSTRING(guidata)
+@ref{XREFguidata, , @code{guidata}}: Query or set user-custom GUI data.
 
-@DOCSTRING(guihandles)
+@ref{XREFguihandles, , @code{guihandles}}: Return a structure of object handles for the figure associated with
+handle H.
 
-@DOCSTRING(have_window_system)
+@ref{XREFhave_window_system, , @code{have_window_system}}: Return true if a window system is available (X11, Windows, or Apple OS
+X) and...
 
-@DOCSTRING(isguirunning)
+@ref{XREFisguirunning, , @code{isguirunning}}: Return true if Octave is running in GUI mode and false otherwise.
 
-@DOCSTRING(getpixelposition)
+@ref{XREFgetpixelposition, , @code{getpixelposition}}: Return the position of a user interface component in pixel units.
 
-@DOCSTRING(listfonts)
+@ref{XREFlistfonts, , @code{listfonts}}: List system fonts.
 
-@DOCSTRING(movegui)
+@ref{XREFmovegui, , @code{movegui}}: Move a figure specified by figure handle H to a position on the screen
+define...
 
-@DOCSTRING(openvar)
+@ref{XREFopenvar, , @code{openvar}}: Open the variable NAME in the graphical Variable Editor.
 
-@DOCSTRING(uiwait)
+@ref{XREFuiwait, , @code{uiwait}}: Suspend program execution until the figure with handle H is deleted or
+'uires...
 
-@DOCSTRING(uiresume)
+@ref{XREFuiresume, , @code{uiresume}}: Resume program execution suspended with 'uiwait'.
 
-@DOCSTRING(waitfor)
+@ref{XREFwaitfor, , @code{waitfor}}: Suspend the execution of the current program until a condition is
+satisfied o...
 
 @node User-Defined Preferences
 @section User-Defined Preferences
 
-@DOCSTRING(getpref)
+@ref{XREFgetpref, , @code{getpref}}: Return the preference value corresponding to the named preference PREF
+in the...
 
-@DOCSTRING(setpref)
+@ref{XREFsetpref, , @code{setpref}}: Set the preference PREF to the given VAL in the named preference group
+GROUP.
 
-@DOCSTRING(addpref)
+@ref{XREFaddpref, , @code{addpref}}: Add the preference PREF and associated value VAL to the named preference
+grou...
 
-@DOCSTRING(rmpref)
-
-@DOCSTRING(ispref)
+@ref{XREFrmpref, , @code{rmpref}}: Remove the named preference PREF from the preference group GROUP.
 
-@DOCSTRING(prefdir)
+@ref{XREFispref, , @code{ispref}}: Return true if the named preference PREF exists in the preference group
+GROUP.
 
-@DOCSTRING(preferences)
+@ref{XREFprefdir, , @code{prefdir}}: Return the directory that holds the preferences for Octave.
+
+@ref{XREFpreferences, , @code{preferences}}: Display the GUI preferences dialog window for Octave.
 
 @node Octave Workspace Windows
 @section Octave Workspace Windows
@@ -180,11 +194,11 @@
 lies in the ability to call these functions from a script and highlight a
 window without using a mouse for selection.
 
-@DOCSTRING(commandhistory)
+@ref{XREFcommandhistory, , @code{commandhistory}}: Show the GUI command history window and give it the keyboard focus.
 
-@DOCSTRING(commandwindow)
+@ref{XREFcommandwindow, , @code{commandwindow}}: Show the GUI command window and give it the keyboard focus.
 
-@DOCSTRING(filebrowser)
+@ref{XREFfilebrowser, , @code{filebrowser}}: Show the GUI file browser window and give it the keyboard focus.
 
-@DOCSTRING(workspace)
+@ref{XREFworkspace, , @code{workspace}}: Show the GUI workspace window and give it the keyboard focus.
 
